# Generated by Django 2.1.3 on 2018-11-25 06:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Address',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('street', models.CharField(max_length=255, verbose_name='street')),
                ('postal_code', models.CharField(max_length=255, verbose_name='postal code')),
                ('city', models.CharField(max_length=255, verbose_name='city')),
                ('state', models.CharField(max_length=255, verbose_name='state')),
                ('country', models.CharField(max_length=255, verbose_name='country')),
            ],
            options={
                'verbose_name': 'address',
                'verbose_name_plural': 'addresss',
            },
        ),
        migrations.CreateModel(
            name='InternalRegulation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('version', models.CharField(max_length=255, verbose_name='version')),
                ('text', models.TextField(verbose_name='text')),
                ('is_applied', models.BooleanField(verbose_name='is applied')),
            ],
            options={
                'verbose_name': 'internal regulation',
                'verbose_name_plural': 'internal regulations',
            },
        ),
        migrations.CreateModel(
            name='Member',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('forname', models.CharField(max_length=255, verbose_name='forname')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('registration_date', models.DateField(auto_now_add=True, verbose_name='registration date')),
                ('email', models.EmailField(max_length=255, verbose_name='email')),
                ('state', models.CharField(choices=[('REQ', 'join request'), ('MEM', 'member'), ('QUT', 'quit'), ('BAN', 'banned')], default='REQ', max_length=5, verbose_name='state')),
                ('address', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kiss_association_manager.Address', verbose_name='address')),
            ],
            options={
                'verbose_name': 'member',
                'verbose_name_plural': 'members',
            },
        ),
        migrations.CreateModel(
            name='MembershipFee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='creation date')),
                ('sending_date', models.DateField(blank=True, null=True, verbose_name='sending date')),
                ('transfer_id', models.IntegerField(blank=True, null=True, verbose_name='transfer id')),
                ('amount', models.FloatField(verbose_name='amount')),
                ('from_date', models.DateField(verbose_name='from date')),
                ('to_date', models.DateField(verbose_name='to date')),
                ('period_length', models.CharField(choices=[('YEAR', 'year'), ('SMSTR', 'semester'), ('TRMST', 'trimester'), ('MONTH', 'month')], default='YEAR', max_length=5, verbose_name='period length')),
                ('payment_status', models.CharField(choices=[('topay', 'to pay'), ('ppaid', 'partially paid'), ('paid', 'paid')], default='topay', max_length=5, verbose_name='payment status')),
                ('notes', models.TextField(blank=True, null=True, verbose_name='notes')),
                ('member', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kiss_association_manager.Member', verbose_name='member')),
            ],
            options={
                'verbose_name': 'membership fee',
                'verbose_name_plural': 'membership fees',
            },
        ),
        migrations.CreateModel(
            name='MemberType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='forname')),
                ('membership_fee_amount', models.FloatField(verbose_name='membership fee amount')),
                ('membership_fee_frequencies', models.CharField(choices=[('YEAR', 'year'), ('SMSTR', 'semester'), ('TRMST', 'trimester'), ('MONTH', 'month')], default='YEAR', max_length=5, verbose_name='membership fee frequencies')),
            ],
            options={
                'verbose_name': 'member type',
                'verbose_name_plural': 'member types',
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='forname')),
            ],
            options={
                'verbose_name': 'role',
                'verbose_name_plural': 'roles',
            },
        ),
        migrations.AddField(
            model_name='member',
            name='member_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kiss_association_manager.MemberType', verbose_name='member type'),
        ),
        migrations.AddField(
            model_name='member',
            name='roles',
            field=models.ManyToManyField(blank=True, null=True, to='kiss_association_manager.Role', verbose_name='roles'),
        ),
    ]
